Up

# NSURL+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2003-2010 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSURL(GNUstepBase) category
2. Software documentation for the NSURL(GNUstepBaseAdditions) category

# Software documentation for the NSURL(GNUstepBase) category

## NSURL(GNUstepBase)

> Declared in:
>   GNUstepBase/NSURL+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- -fullPath
- -pathWithEscapes

### fullPath

- (NSString*) fullPath;
Availability: Not in OpenStep/MacOS-X
Returns the full path for this URL including any trailing slash.

### pathWithEscapes

- (NSString*) pathWithEscapes;
Availability: Not in OpenStep/MacOS-X
Returns the full path for this URL, without decoding percent-escapes.
This is useful if you need to distinguish between "/" and "%2F" in the path. The normal -path method will convert all "%2F" value in the path into "/" so that you have no way of knowing whether a "/" is part of a path component ir is a path separator.

# Software documentation for the NSURL(GNUstepBaseAdditions) category

## NSURL(GNUstepBaseAdditions)

> Declared in:
>   GNUstepBase/NSURL+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- -cacheKey
- -initWithScheme:user:password:host:port:fullPath:parameterString:query:fragment:

### cacheKey

- (NSString*) cacheKey;
Availability: Not in OpenStep/MacOS-X
Returns a string (encapsulating the scheme, host and port of the receiver) suitable for use as a key to store the receiver in a cache of objects used to access resources using the same network connection.

### initWithScheme: user: password: host: port: fullPath: parameterString: query: fragment:

- (id) initWithScheme: (NSString*)scheme user: (NSString*)user password: (NSString*)password host: (NSString*)host port: (NSNumber*)port fullPath: (NSString*)fullPath parameterString: (NSString*)parameterString query: (NSString*)query fragment: (NSString*)fragment;
Availability: Not in OpenStep/MacOS-X
Builds a URL from components as returned by the methods of the same names.

Up